%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define bzrrev 182

Name:           trac-bazaar-plugin
Version:        0.2
Release:        5.20070829bzr%{bzrrev}%{?dist}
Summary:        Bazaar plugin for Trac

Group:          Applications/Internet
License:        GPLv2+
URL:            http://bazaar-vcs.org/TracBzr
# Source comes from a bazaar repository:
#   bzr checkout --lightweight -r 182 http://panoramicfeedback.com/opensource/trac+bzr/
#   cd trac+bzr
#   python setup.py sdist --formats gztar
# tarball lands in trac+bzr/dist/
Source0:        TracBzr-%{version}.tar.gz
# These two are part of https://bugs.launchpad.net/trac-bzr/+bug/116659
Patch0: trac-bazaar-timestamp.patch
Patch1: trac-bazaar-escape.patch
# Communicated this directly with author
Patch2: trac-bazaar-extra-return.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
%if 0%{?fedora} >= 8
BuildRequires:  python-setuptools-devel
%else
BuildRequires:  python-setuptools
%endif
Requires:       bzr
Requires:       trac
Requires:       python-setuptools

%description
This plugin for Trac provides support for the Bazaar SCM.

%prep
%setup -n TracBzr-%{version} -q
%patch0 -p0
%patch1 -p0
%patch2 -p0

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
# skip-build doesn't work on el4
%{__python} setup.py install -O1 --root $RPM_BUILD_ROOT
 
%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README
%{python_sitelib}/*

%changelog
* Sat Sep 22 2007 Toshio Kuratomi <a.badger@gmail.com> - 0.2-5.20070829bzr182
- Patches to fix RSS feed in timeline view.

* Wed Aug 29 2007 Toshio Kuratomi <a.badger@gmail.com> - 0.2-4.20070829bzr182
- Update license tag to reflect GPLv2+.
- New update from upstream that clarifies license and makes setuptools build
  a correct tarball.

* Sun Aug 12 2007 Toshio Kuratomi <a.badger@gmail.com> - 0.2-3.20070712bzr180
- Update license tag to reflect GPLv2 only.

* Thu Jul 18 2007 Toshio Kuratomi <toshio@tiki-lounge.com> - 0.2-2.20070717bzr180
- Fixes from review comments: RH BZ#248815
  + Make macros consistent.
  + Remove extraneous comment.

* Thu Jul 18 2007 Toshio Kuratomi <toshio@tiki-lounge.com> - 0.2-1.20070717bzr180
- Initial build.
